Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIGetZonalVariable

Gets the number of zonal variables in an ExodusII file

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetZonalVariable(PetscViewer viewer, PetscExodusIIInt *num)

Collective

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

## Output Parameter

- num - the number variables in the ExodusII file

## Notes

The number of variables in the ExodusII file is cached in the viewer

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerExodusIIOpen()`, `PetscViewerSetType()`, `PetscViewerType`, `PetscViewerExodusIIsetZonalVariable()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages